import request from '@/utils/request'



// 获取查询年列表
export function getYearList() {
  return request({
    url: '/report/rzlViewStatisticsInfo/getYearList',
    method: 'get'
  })
}


// 查询专利授权-概况统计列表
export function listRzsViewStatisticsInfo(query) {
  return request({
    url: '/reportrzs/rzsViewStatisticsInfo/list',
    method: 'get',
    params: query
  })
}

// 查询专利授权-概况统计详细
export function getRzsViewStatisticsInfo(id) {
  return request({
    url: '/reportrzs/rzsViewStatisticsInfo/' + id,
    method: 'get'
  })
}

// 新增专利授权-概况统计
export function addRzsViewStatisticsInfo(data) {
  return request({
    url: '/reportrzs/rzsViewStatisticsInfo',
    method: 'post',
    data: data
  })
}

// 修改专利授权-概况统计
export function updateRzsViewStatisticsInfo(data) {
  return request({
    url: '/reportrzs/rzsViewStatisticsInfo',
    method: 'put',
    data: data
  })
}

// 删除专利授权-概况统计
export function delRzsViewStatisticsInfo(id) {
  return request({
    url: '/reportrzs/rzsViewStatisticsInfo/' + id,
    method: 'delete'
  })
}
